Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 699296 - >=app-antivirus/clamav-0.102.0-r2 - ld: /usr/lib/libltdl.so: error adding symbols: file in wrong format
Summary: >=app-antivirus/clamav-0.102.0-r2 - ld: /usr/lib/libltdl.so: error adding sym...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Antivirus Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2019-11-04 10:06 UTC by Ronny Boesger
Modified: 2019-11-25 16:27 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,319.80 KB, text/plain)
2019-11-04 10:07 UTC, Ronny Boesger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Boesger 2019-11-04 10:06:37 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/libclamav_la-matcher-ac.o .libs/libclamav_la-matcher-bm.o .libs/libclamav_la-matcher-hash.o .libs/libclamav_la-matcher.o .libs/libclamav_la-others.o .libs/libclamav_la-rea
ddb.o .libs/libclamav_la-cvd.o .libs/libclamav_la-dsig.o .libs/libclamav_la-scanners.o .libs/libclamav_la-textdet.o .libs/libclamav_la-filetypes.o .libs/libclamav_la-rtf.o .libs/libclamav_la-blob.o .libs/libclamav_la-mbox.o .libs/libclama
v_la-message.o .libs/libclamav_la-table.o .libs/libclamav_la-text.o .libs/libclamav_la-ole2_extract.o .libs/libclamav_la-vba_extract.o .libs/libclamav_la-msexpand.o .libs/libclamav_la-pe.o .libs/libclamav_la-pe_icons.o .libs/libclamav_la-
disasm.o .libs/libclamav_la-upx.o .libs/libclamav_la-htmlnorm.o .libs/libclamav_la-libmspack.o .libs/libclamav_la-rebuildpe.o .libs/libclamav_la-petite.o .libs/libclamav_la-wwunpack.o .libs/libclamav_la-unsp.o .libs/libclamav_la-aspack.o 
.libs/libclamav_la-packlibs.o .libs/libclamav_la-fsg.o .libs/libclamav_la-mew.o .libs/libclamav_la-upack.o .libs/libclamav_la-line.o .libs/libclamav_la-untar.o .libs/libclamav_la-unzip.o .libs/libclamav_la-ooxml.o .libs/libclamav_la-infla
te64.o .libs/libclamav_la-special.o .libs/libclamav_la-binhex.o .libs/libclamav_la-is_tar.o .libs/libclamav_la-tnef.o .libs/libclamav_la-autoit.o .libs/libclamav_la-unarj.o .libs/libclamav_la-bzlib.o .libs/libclamav_la-nulsft.o .libs/libc
lamav_la-infblock.o .libs/libclamav_la-pdf.o .libs/libclamav_la-pdfng.o .libs/libclamav_la-pdfdecode.o .libs/libclamav_la-spin.o .libs/libclamav_la-yc.o .libs/libclamav_la-elf.o .libs/libclamav_la-execs.o .libs/libclamav_la-sis.o .libs/li
bclamav_la-uuencode.o .libs/libclamav_la-phishcheck.o .libs/libclamav_la-phish_domaincheck_db.o .libs/libclamav_la-phish_whitelist.o .libs/libclamav_la-regex_list.o .libs/libclamav_la-regex_suffix.o .libs/libclamav_la-entconv.o .libs/libc
lamav_la-hashtab.o .libs/libclamav_la-dconf.o .libs/libclamav_la-lzma_iface.o .libs/libclamav_la-7z_iface.o .libs/libclamav_la-7zAlloc.o .libs/libclamav_la-7zBuf.o .libs/libclamav_la-7zBuf2.o .libs/libclamav_la-7zCrc.o .libs/libclamav_la-
7zDec.o .libs/libclamav_la-7zFile.o .libs/libclamav_la-7zIn.o .libs/libclamav_la-7zStream.o .libs/libclamav_la-Bcj2.o .libs/libclamav_la-Bra.o .libs/libclamav_la-Bra86.o .libs/libclamav_la-Lzma2Dec.o .libs/libclamav_la-LzmaDec.o .libs/lib
clamav_la-Ppmd7.o .libs/libclamav_la-Ppmd7Dec.o .libs/libclamav_la-Xz.o .libs/libclamav_la-XzCrc64.o .libs/libclamav_la-XzDec.o .libs/libclamav_la-XzIn.o .libs/libclamav_la-Delta.o .libs/libclamav_la-BraIA64.o .libs/libclamav_la-CpuArch.o
 .libs/libclamav_la-7zCrcOpt.o .libs/libclamav_la-explode.o .libs/libclamav_la-textnorm.o .libs/libclamav_la-dlp.o .libs/libclamav_la-js-norm.o .libs/libclamav_la-uniq.o .libs/libclamav_la-version.o .libs/libclamav_la-mpool.o .libs/libcla
mav_la-filtering.o .libs/libclamav_la-fmap.o .libs/libclamav_la-perflogging.o .libs/libclamav_la-bytecode.o .libs/libclamav_la-bytecode_vm.o .libs/libclamav_la-cpio.o .libs/libclamav_la-macho.o .libs/libclamav_la-ishield.o .libs/libclamav
_la-bytecode_api.o .libs/libclamav_la-bytecode_api_decl.o .libs/libclamav_la-cache.o .libs/libclamav_la-bytecode_detect.o .libs/libclamav_la-events.o .libs/libclamav_la-adc.o .libs/libclamav_la-d
mg.o .libs/libclamav_la-xar.o .libs/libclamav_la-xdp.o .libs/libclamav_la-mbr.o .libs/libclamav_la-gpt.o .libs/libclamav_la-apm.o .libs/libclamav_la-prtn_intxn.o .libs/libclamav_la-json_api.o .libs/libclamav_la-xz_iface.o .libs/libclamav_la-sf_base64decode.o .libs/libclamav_la-hfsplus.o .libs/libclamav_la-swf.o .libs/libclamav_la-jpeg.o .libs/libclamav_la-png.o .libs/libclamav_la-iso9660.o .libs/libclamav_la-arc4.o .libs/libclamav_la-rijndael.o .libs/libclamav_la-crtmgr.o .libs/libclamav_la-asn1.o .libs/libclamav_la-fpu.o .libs/libclamav_la-stats.o .libs/libclamav_la-www.o .libs/libclamav_la-stats_json.o .libs/libclamav_la-hostid.o .libs/libclamav_la-openioc.o .libs/libclamav_la-msdoc.o .libs/libclamav_la-matcher-pcre.o .libs/libclamav_la-regex_pcre.o .libs/libclamav_la-msxml.o .libs/libclamav_la-msxml_parser.o .libs/libclamav_la-tiff.o .libs/libclamav_la-hwp.o .libs/libclamav_la-lzwdec.o .libs/libclamav_la-matcher-byte-comp.o .libs/libclamav_la-egg.o .libs/libclamav_la-yara_arena.o .libs/libclamav_la-yara_compiler.o .libs/libclamav_la-yara_exec.o .libs/libclamav_la-yara_hash.o .libs/libclamav_la-yara_grammar.o .libs/libclamav_la-yara_lexer.o .libs/libclamav_la-yara_parser.o .libs/libclamav_la-fp_add.o .libs/libclamav_la-fp_add_d.o .libs/libclamav_la-fp_addmod.o .libs/libclamav_la-fp_cmp.o .libs/libclamav_la-fp_cmp_d.o .libs/libclamav_la-fp_cmp_mag.o .libs/libclamav_la-fp_sub.o .libs/libclamav_la-fp_sub_d.o .libs/libclamav_la-fp_submod.o .libs/libclamav_la-s_fp_add.o .libs/libclamav_la-s_fp_sub.o .libs/libclamav_la-fp_radix_size.o .libs/libclamav_la-fp_read_radix.o .libs/libclamav_la-fp_read_signed_bin.o .libs/libclamav_la-fp_read_unsigned_bin.o .libs/libclamav_la-fp_reverse.o .libs/libclamav_la-fp_s_rmap.o .libs/libclamav_la-fp_signed_bin_size.o .libs/libclamav_la-fp_to_signed_bin.o .libs/libclamav_la-fp_to_unsigned_bin.o .libs/libclamav_la-fp_toradix.o .libs/libclamav_la-fp_toradix_n.o .libs/libclamav_la-fp_unsigned_bin_size.o .libs/libclamav_la-fp_cnt_lsb.o .libs/libclamav_la-fp_count_bits.o .libs/libclamav_la-fp_div_2.o .libs/libclamav_la-fp_div_2d.o .libs/libclamav_la-fp_lshd.o .libs/libclamav_la-fp_mod_2d.o .libs/libclamav_la-fp_rshd.o .libs/libclamav_la-fp_div.o .libs/libclamav_la-fp_div_d.o .libs/libclamav_la-fp_mod.o .libs/libclamav_la-fp_mod_d.o .libs/libclamav_la-fp_2expt.o .libs/libclamav_la-fp_exptmod.o .libs/libclamav_la-fp_ident.o .libs/libclamav_la-fp_set.o .libs/libclamav_la-fp_montgomery_calc_normalization.o .libs/libclamav_la-fp_montgomery_reduce.o .libs/libclamav_la-fp_montgomery_setup.o .libs/libclamav_la-fp_mul.o .libs/libclamav_la-fp_mul_comba.o .libs/libclamav_la-fp_mul_2.o .libs/libclamav_la-fp_mul_2d.o .libs/libclamav_la-fp_mul_comba_12.o .libs/libclamav_la-fp_mul_comba_17.o .libs/libclamav_la-fp_mul_comba_20.o .libs/libclamav_la-fp_mul_comba_24.o .libs/libclamav_la-fp_mul_comba_28.o .libs/libclamav_la-fp_mul_comba_3.o .libs/libclamav_la-fp_mul_comba_32.o .libs/libclamav_la-fp_mul_comba_4.o .libs/libclamav_la-fp_mul_comba_48.o .libs/libclamav_la-fp_mul_comba_6.o .libs/libclamav_la-fp_mul_comba_64.o .libs/libclamav_la-fp_mul_comba_7.o .libs/libclamav_la-fp_mul_comba_8.o .libs/libclamav_la-fp_mul_comba_9.o .libs/libclamav_la-fp_mul_comba_small_set.o .libs/libclamav_la-fp_mul_d.o .libs/libclamav_la-fp_mulmod.o .libs/libclamav_la-fp_invmod.o .libs/libclamav_la-fp_sqr.o .libs/libclamav_la-fp_sqr_comba_12.o .libs/libclamav_la-fp_sqr_comba_17.o .libs/libclamav_la-fp_sqr_comba_20.o .libs/libclamav_la-fp_sqr_comba_24.o .libs/libclamav_la-fp_sqr_comba_28.o .libs/libclamav_la-fp_sqr_comba_3.o .libs/libclamav_la-fp_sqr_comba_32.o .libs/libclamav_la-fp_sqr_comba_4.o .libs/libclamav_la-fp_sqr_comba_48.o .libs/libclamav_la-fp_sqr_comba_6.o .libs/libclamav_la-fp_sqr_comba_64.o .libs/libclamav_la-fp_sqr_comba_7.o .libs/libclamav_la-fp_sqr_comba_8.o .libs/libclamav_la-fp_sqr_comba_9.o .libs/libclamav_la-fp_sqr_comba_generic.o .libs/libclamav_la-fp_sqr_comba_small_set.o .libs/libclamav_la-fp_sqrmod.o .libs/libclamavS.o -Wl,--whole-archive ./.libs/libclamav_nocxx.a ./.libs/libclamav_internal_utils.a -Wl,--no-whole-archive  -L/usr/lib -lbz2 /usr/lib/libltdl.so -lxml2 -lmspack -lssl -lcrypto -lz -lpcre2-8 -lpthread -lm  -march=native -O2 -Wl,--version-script -Wl,../libclamav/libclamav.map -Wl,-O1 -Wl,--as-needed   -Wl,-soname -Wl,libclamav.so.9 -o .libs/libclamav.so.9.0.4
/usr/lib/gcc/x86_64-pc-linux-gnu/8.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libbz2.so when searching for -lbz2
/usr/lib/gcc/x86_64-pc-linux-gnu/8.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: /usr/lib/libltdl.so: error adding symbols: file in wrong format
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:1548: libclamav.la] Error 1


Reproducible: Always

Steps to Reproduce:
Try to emerge -> happens every time

I rebuild the 2 packages:
* dev-libs/libltdl-2.4.6
* app-arch/bzip2-1.0.6-r11
But this does not helped, error persists.



Portage 2.3.76 (python 3.6.9-final-0, default/linux/amd64/17.1, gcc-8.3.0, glibc-2.29-r2, 5.3.7-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.3.7-gentoo-x86_64-Intel-R-_Core-TM-_i7-6700TE_CPU_@_2.40GHz-with-gentoo-2.6
KiB Mem:    32654108 total,   6984684 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 04 Nov 2019 07:45:01 +0000
Head commit of repository gentoo: 5e37677b713225aa057053011f388abdbacd77f0
Head commit of repository brother-overlay: ded830627269824db280f36ca3fe922e1637532e

Head commit of repository robo-overlay: f8c6454be7c6ca5f664a9d11517490c9095533ea

Timestamp of repository poly-c: Sun, 03 Nov 2019 17:59:02 +0000
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
distcc[26081] (dcc_trace_version) distcc 3.3.3 x86_64-pc-linux-gnu; built Sep  9 2019 10:36:36 [disabled]
ccache version 3.7.4 [disabled]
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.9::gentoo
dev-util/ccache:          3.7.4::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.12.6-r2::gentoo, 1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync15.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1

brother-overlay
    location: /usr/local/overlay/brother-overlay
    sync-type: git
    sync-uri: git://github.com/stefan-langenmaier/brother-overlay.git
    masters: gentoo

gcpan
    location: /usr/local/overlay/gcpan
    masters: gentoo

robo-overlay
    location: /usr/local/overlay/robo-overlay
    sync-type: git
    sync-uri: https://github.com/rcmcronny/robo-overlay.git
    masters: gentoo

robo1-overlay
    location: /usr/local/overlay/robo1-overlay
    masters: gentoo

ixit
    location: /usr/local/overlay/layman/ixit
    masters: gentoo
    priority: 50

poly-c
    location: /usr/local/overlay/layman/poly-c
    sync-type: rsync
    sync-uri: rsync://rsync.gentoofan.org/poly-c
    masters: gentoo
    priority: 50
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS=" -march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /var/spool/fax/etc/xferfaxlog"
CXXFLAGS=" -march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 1 --load-average 7.8"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" https://ftp.halifax.rwth-aachen.de/gentoo/  https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/  https://ftp.fau.de/gentoo "
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="7zip acl amd64 apache2 audiofile bash-completion berkdb brotli bzip2 caps cli crypt cups curl cxx expat extensions flac fortran gd gdbm gif gmp gpm iconv idn ipv6 jbig jpeg lcms libtirpc libwww logrotate lua lzma lzo mad mhash mng mp3 multilib mysql ncurses nfsv3 nfsv4 nls nptl nptlonly ogg openmp pam pcre perl php png python readline recode samba sdl seccomp slang snmp speex split-usr ssl tcpd threads tiff truetype udev unicode usb vaapi vorbis xattr xinetd xml2 zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="access access_compat auth auth_dbm authn_dbd auth_anon auth_digest alias brotli file_cache echo charset_lite cache cache_disk mem-cache ext_filter case_filter case_filter_in deflate mime_magic cern_meta expires headers usertrack unique_id proxy proxy_connect proxy_ftp proxy_fcgi proxy_http info include cgi cgid dav dav_fs dav_lock vhost_alias speling rewrite log_config logio env setenvif mime status autoindex asis negotiation dir imap actions userdir so unique_id filter authz_host auth_basic authn_default auth_basic authn_default authn_file authz_default authz_groupfile authz_host authz_owner authz_user autoindex speling unique_id authn_core authz_core unixd socache_shmcb ratelimit remoteip reqtimeout version substitute dbd authz_dbd imagemap proxy_ajp proxy_html proxy_http2 proxy_wstunnel authn_alias log_forensic macro http2 xml2enc" APACHE2_MPMS="event" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Ronny Boesger 2019-11-04 10:07:20 UTC
Created attachment 595000 [details]
build.log

build.log of failed emerge run for this package
Comment 2 Ionen Wolkens 2019-11-04 11:56:24 UTC
I recall having the same issue but since 0.102.0-r2 is already masked for other reasons, I decided not to follow through with that figuring it might get fixed in next version.

I didn't look into it much, but I think it breaks on systems that have both 32bit and 64bit libraries (they notably messed around configure macros a lot which likely broke something on their end).
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2019-11-25 10:33:17 UTC
Same with =app-antivirus/clamav-0.102.1
Comment 4 asears 2019-11-25 15:33:36 UTC
It's trying to pull in /usr/lib/libltdl.so directly (I added the asterisks):
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/libclamav_la-matcher-ac.o .libs/libclamav_la-matcher-bm.o .libs/libclamav_la-matcher-hash.o .libs/libclamav_la-matcher.o .libs/libclamav_la-others.o .libs/libclamav_la-readdb.o .libs/libclamav_la-cvd.o .libs/libclamav_la-dsig.o .libs/libclamav_la-scanners.o .libs/libclamav_la-textdet.o .libs/libclamav_la-filetypes.o .libs/libclamav_la-rtf.o .libs/libclamav_la-blob.o .libs/libclamav_la-mbox.o .libs/libclamav_la-message.o .libs/libclamav_la-table.o .libs/libclamav_la-text.o .libs/libclamav_la-ole2_extract.o .libs/libclamav_la-vba_extract.o .libs/libclamav_la-msexpand.o .libs/libclamav_la-pe.o .libs/libclamav_la-pe_icons.o .libs/libclamav_la-disasm.o .libs/libclamav_la-upx.o .libs/libclamav_la-htmlnorm.o .libs/libclamav_la-libmspack.o .libs/libclamav_la-rebuildpe.o .libs/libclamav_la-petite.o .libs/libclamav_la-wwunpack.o .libs/libclamav_la-unsp.o .libs/libclamav_la-aspack.o .libs/libclamav_la-packlibs.o .libs/libclamav_la-fsg.o .libs/libclamav_la-mew.o .libs/libclamav_la-upack.o .libs/libclamav_la-line.o .libs/libclamav_la-untar.o .libs/libclamav_la-unzip.o .libs/libclamav_la-ooxml.o .libs/libclamav_la-inflate64.o .libs/libclamav_la-special.o .libs/libclamav_la-binhex.o .libs/libclamav_la-is_tar.o .libs/libclamav_la-tnef.o .libs/libclamav_la-autoit.o .libs/libclamav_la-unarj.o .libs/libclamav_la-bzlib.o .libs/libclamav_la-nulsft.o .libs/libclamav_la-infblock.o .libs/libclamav_la-pdf.o .libs/libclamav_la-pdfng.o .libs/libclamav_la-pdfdecode.o .libs/libclamav_la-spin.o .libs/libclamav_la-yc.o .libs/libclamav_la-elf.o .libs/libclamav_la-execs.o .libs/libclamav_la-sis.o .libs/libclamav_la-uuencode.o .libs/libclamav_la-phishcheck.o .libs/libclamav_la-phish_domaincheck_db.o .libs/libclamav_la-phish_whitelist.o .libs/libclamav_la-regex_list.o .libs/libclamav_la-regex_suffix.o .libs/libclamav_la-entconv.o .libs/libclamav_la-hashtab.o .libs/libclamav_la-dconf.o .libs/libclamav_la-lzma_iface.o .libs/libclamav_la-7z_iface.o .libs/libclamav_la-7zAlloc.o .libs/libclamav_la-7zBuf.o .libs/libclamav_la-7zBuf2.o .libs/libclamav_la-7zCrc.o .libs/libclamav_la-7zDec.o .libs/libclamav_la-7zFile.o .libs/libclamav_la-7zIn.o .libs/libclamav_la-7zStream.o .libs/libclamav_la-Bcj2.o .libs/libclamav_la-Bra.o .libs/libclamav_la-Bra86.o .libs/libclamav_la-Lzma2Dec.o .libs/libclamav_la-LzmaDec.o .libs/libclamav_la-Ppmd7.o .libs/libclamav_la-Ppmd7Dec.o .libs/libclamav_la-Xz.o .libs/libclamav_la-XzCrc64.o .libs/libclamav_la-XzDec.o .libs/libclamav_la-XzIn.o .libs/libclamav_la-Delta.o .libs/libclamav_la-BraIA64.o .libs/libclamav_la-CpuArch.o .libs/libclamav_la-7zCrcOpt.o .libs/libclamav_la-explode.o .libs/libclamav_la-textnorm.o .libs/libclamav_la-dlp.o .libs/libclamav_la-js-norm.o .libs/libclamav_la-uniq.o .libs/libclamav_la-version.o .libs/libclamav_la-mpool.o .libs/libclamav_la-filtering.o .libs/libclamav_la-fmap.o .libs/libclamav_la-perflogging.o .libs/libclamav_la-bytecode.o .libs/libclamav_la-bytecode_vm.o .libs/libclamav_la-cpio.o .libs/libclamav_la-macho.o .libs/libclamav_la-ishield.o .libs/libclamav_la-bytecode_api.o .libs/libclamav_la-bytecode_api_decl.o .libs/libclamav_la-cache.o .libs/libclamav_la-bytecode_detect.o .libs/libclamav_la-events.o .libs/libclamav_la-adc.o .libs/libclamav_la-dmg.o .libs/libclamav_la-xar.o .libs/libclamav_la-xdp.o .libs/libclamav_la-mbr.o .libs/libclamav_la-gpt.o .libs/libclamav_la-apm.o .libs/libclamav_la-prtn_intxn.o .libs/libclamav_la-json_api.o .libs/libclamav_la-xz_iface.o .libs/libclamav_la-sf_base64decode.o .libs/libclamav_la-hfsplus.o .libs/libclamav_la-swf.o .libs/libclamav_la-jpeg.o .libs/libclamav_la-png.o .libs/libclamav_la-iso9660.o .libs/libclamav_la-arc4.o .libs/libclamav_la-rijndael.o .libs/libclamav_la-crtmgr.o .libs/libclamav_la-asn1.o .libs/libclamav_la-fpu.o .libs/libclamav_la-stats.o .libs/libclamav_la-www.o .libs/libclamav_la-stats_json.o .libs/libclamav_la-hostid.o .libs/libclamav_la-openioc.o .libs/libclamav_la-msdoc.o .libs/libclamav_la-matcher-pcre.o .libs/libclamav_la-regex_pcre.o .libs/libclamav_la-msxml.o .libs/libclamav_la-msxml_parser.o .libs/libclamav_la-tiff.o .libs/libclamav_la-hwp.o .libs/libclamav_la-lzwdec.o .libs/libclamav_la-matcher-byte-comp.o .libs/libclamav_la-egg.o .libs/libclamav_la-yara_arena.o .libs/libclamav_la-yara_compiler.o .libs/libclamav_la-yara_exec.o .libs/libclamav_la-yara_hash.o .libs/libclamav_la-yara_grammar.o .libs/libclamav_la-yara_lexer.o .libs/libclamav_la-yara_parser.o .libs/libclamav_la-fp_add.o .libs/libclamav_la-fp_add_d.o .libs/libclamav_la-fp_addmod.o .libs/libclamav_la-fp_cmp.o .libs/libclamav_la-fp_cmp_d.o .libs/libclamav_la-fp_cmp_mag.o .libs/libclamav_la-fp_sub.o .libs/libclamav_la-fp_sub_d.o .libs/libclamav_la-fp_submod.o .libs/libclamav_la-s_fp_add.o .libs/libclamav_la-s_fp_sub.o .libs/libclamav_la-fp_radix_size.o .libs/libclamav_la-fp_read_radix.o .libs/libclamav_la-fp_read_signed_bin.o .libs/libclamav_la-fp_read_unsigned_bin.o .libs/libclamav_la-fp_reverse.o .libs/libclamav_la-fp_s_rmap.o .libs/libclamav_la-fp_signed_bin_size.o .libs/libclamav_la-fp_to_signed_bin.o .libs/libclamav_la-fp_to_unsigned_bin.o .libs/libclamav_la-fp_toradix.o .libs/libclamav_la-fp_toradix_n.o .libs/libclamav_la-fp_unsigned_bin_size.o .libs/libclamav_la-fp_cnt_lsb.o .libs/libclamav_la-fp_count_bits.o .libs/libclamav_la-fp_div_2.o .libs/libclamav_la-fp_div_2d.o .libs/libclamav_la-fp_lshd.o .libs/libclamav_la-fp_mod_2d.o .libs/libclamav_la-fp_rshd.o .libs/libclamav_la-fp_div.o .libs/libclamav_la-fp_div_d.o .libs/libclamav_la-fp_mod.o .libs/libclamav_la-fp_mod_d.o .libs/libclamav_la-fp_2expt.o .libs/libclamav_la-fp_exptmod.o .libs/libclamav_la-fp_ident.o .libs/libclamav_la-fp_set.o .libs/libclamav_la-fp_montgomery_calc_normalization.o .libs/libclamav_la-fp_montgomery_reduce.o .libs/libclamav_la-fp_montgomery_setup.o .libs/libclamav_la-fp_mul.o .libs/libclamav_la-fp_mul_comba.o .libs/libclamav_la-fp_mul_2.o .libs/libclamav_la-fp_mul_2d.o .libs/libclamav_la-fp_mul_comba_12.o .libs/libclamav_la-fp_mul_comba_17.o .libs/libclamav_la-fp_mul_comba_20.o .libs/libclamav_la-fp_mul_comba_24.o .libs/libclamav_la-fp_mul_comba_28.o .libs/libclamav_la-fp_mul_comba_3.o .libs/libclamav_la-fp_mul_comba_32.o .libs/libclamav_la-fp_mul_comba_4.o .libs/libclamav_la-fp_mul_comba_48.o .libs/libclamav_la-fp_mul_comba_6.o .libs/libclamav_la-fp_mul_comba_64.o .libs/libclamav_la-fp_mul_comba_7.o .libs/libclamav_la-fp_mul_comba_8.o .libs/libclamav_la-fp_mul_comba_9.o .libs/libclamav_la-fp_mul_comba_small_set.o .libs/libclamav_la-fp_mul_d.o .libs/libclamav_la-fp_mulmod.o .libs/libclamav_la-fp_invmod.o .libs/libclamav_la-fp_sqr.o .libs/libclamav_la-fp_sqr_comba_12.o .libs/libclamav_la-fp_sqr_comba_17.o .libs/libclamav_la-fp_sqr_comba_20.o .libs/libclamav_la-fp_sqr_comba_24.o .libs/libclamav_la-fp_sqr_comba_28.o .libs/libclamav_la-fp_sqr_comba_3.o .libs/libclamav_la-fp_sqr_comba_32.o .libs/libclamav_la-fp_sqr_comba_4.o .libs/libclamav_la-fp_sqr_comba_48.o .libs/libclamav_la-fp_sqr_comba_6.o .libs/libclamav_la-fp_sqr_comba_64.o .libs/libclamav_la-fp_sqr_comba_7.o .libs/libclamav_la-fp_sqr_comba_8.o .libs/libclamav_la-fp_sqr_comba_9.o .libs/libclamav_la-fp_sqr_comba_generic.o .libs/libclamav_la-fp_sqr_comba_small_set.o .libs/libclamav_la-fp_sqrmod.o .libs/libclamavS.o -Wl,--whole-archive ./.libs/libclamav_nocxx.a ./.libs/libclamav_internal_utils.a -Wl,--no-whole-archive  -L/usr/lib -lbz2 *****/usr/lib/libltdl.so***** -lxml2 -ldl -lmspack -lssl -lcrypto -lz -lpcre2-8 -lpthread -lm  -march=native -O2 -Wl,--version-script -Wl,../libclamav/libclamav.map -Wl,-O1 -Wl,--as-needed   -Wl,-soname -Wl,libclamav.so.9 -o .libs/libclamav.so.9.0.4
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2019-11-25 15:45:23 UTC
What a nasty issue...

The root cause is that we have the following configure option in our ebuild:

  --with-zlib=/usr

The "=/usr" part causes configure to run some checks, where (ZLIB_)LIBS is hardcoded to "${withval}/lib" and that in turn bleeds into many (all?) other configure checks and even causes the final linking step to fail because of "-L/usr/lib".
When we change the offending line to "--with-zlib", configure is using pkg-config to check for zlib and that gives working results.
Comment 6 Larry the Git Cow gentoo-dev 2019-11-25 16:27:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21602230e4da2f80db97331ac2cfe78051d39395

commit 21602230e4da2f80db97331ac2cfe78051d39395
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-11-25 16:15:30 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-11-25 16:27:40 +0000

    app-antivirus/clamav: Revbump to fix various linking issues
    
    - Don't call configure with --with-zlib=/usr or else we end up having
      "-L/usr/lib" in linker flags which breaks 64bit compilations in 17.1
      profiles
    - Once again (third time) use pkg-config to check for libxml2 in order
      to avoud automagic and unnecessary linking to dev-libs/icu
    
    Bug: https://bugs.gentoo.org/661328
    Closes: https://bugs.gentoo.org/699296
    Package-Manager: Portage-2.3.79, Repoman-2.3.18
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 ...mav-0.102.1.ebuild => clamav-0.102.1-r1.ebuild} |  41 +++----
 .../files/clamav-0.102.1-libxml2_pkgconfig.patch   | 120 +++++++++++++++++++++
 2 files changed, 143 insertions(+), 18 deletions(-)